Expanded Zoom Phone APIs for call handling, settings, recordings, and voicemail
Added
New Common Areas APIs:
GET /v2/phone/common_areas/{commonAreaId}/call_handling/settings
GET /v2/accounts/{accountId}/phone/common_areas/{commonAreaId}/call_handling/settings
PATCH /v2/phone/common_areas/{commonAreaId}/call_handling/settings/{hourType}
PATCH /v2/accounts/{accountId}/phone/common_areas/{commonAreaId}/call_handling/settings/{hourType}
New Call Queues APIs:
DELETE /v2/phone/call_queues/{callQueueId}/custom_groups/{customGroupId}
DELETE /v2/accounts/{accountId}/phone/call_queues/{callQueueId}/custom_groups/{customGroupId}
PATCH /v2/phone/call_queues/{callQueueId}/call_handling/settings/{hourType}
PATCH /v2/accounts/{accountId}/phone/call_queues/{callQueueId}/call_handling/settings/{hourType}
POST /v2/phone/call_queues/{callQueueId}/settings/{settingType}
POST /v2/accounts/{accountId}/phone/call_queues/{callQueueId}/settings/{settingType}
DELETE /v2/phone/call_queues/{callQueueId}/settings/{settingType}
DELETE /v2/accounts/{accountId}/phone/call_queues/{callQueueId}/settings/{settingType}
POST /v2/phone/call_queues/{callQueueId}/custom_groups
POST /v2/accounts/{accountId}/phone/call_queues/{callQueueId}/custom_groups
GET /v2/phone/call_queues/{callQueueId}/settings
GET /v2/accounts/{accountId}/phone/call_queues/{callQueueId}/settings
GET /v2/phone/call_queues/{callQueueId}/call_handling/settings
GET /v2/accounts/{accountId}/phone/call_queues/{callQueueId}/call_handling/settings
POST /v2/phone/call_queues/{callQueueId}/custom_groups/{customGroupId}/members
POST /v2/accounts/{accountId}/phone/call_queues/{callQueueId}/custom_groups/{customGroupId}/members
GET /v2/phone/call_queues/{callQueueId}/custom_groups/{customGroupId}
GET /v2/accounts/{accountId}/phone/call_queues/{callQueueId}/custom_groups/{customGroupId}
DELETE /v2/phone/call_queues/{callQueueId}/custom_groups/{customGroupId}/members/{extensionId}
DELETE /v2/accounts/{accountId}/phone/call_queues/{callQueueId}/custom_groups/{customGroupId}/members/{extensionId}
GET /v2/phone/call_queues/{callQueueId}/custom_groups
GET /v2/accounts/{accountId}/phone/call_queues/{callQueueId}/custom_groups
PATCH /v2/phone/call_queues/{callQueueId}/settings/{settingType}
PATCH /v2/accounts/{accountId}/phone/call_queues/{callQueueId}/settings/{settingType}
New Voicemails APIs:
GET /v2/phone/call_element/{callElementId}/voice_mail
GET /v2/accounts/{accountId}/phone/call_element/{callElementId}/voice_mail
New Shared Line Group APIs:
GET /v2/phone/shared_line_groups/{sharedLineGroupId}/call_handling/settings
GET /v2/accounts/{accountId}/phone/shared_line_groups/{sharedLineGroupId}/call_handling/settings
PATCH /v2/phone/shared_line_groups/{sharedLineGroupId}/settings/{settingType}
PATCH /v2/accounts/{accountId}/phone/shared_line_groups/{sharedLineGroupId}/settings/{settingType}
GET /v2/phone/shared_line_groups/{sharedLineGroupId}/settings
GET /v2/accounts/{accountId}/phone/shared_line_groups/{sharedLineGroupId}/settings
PATCH /v2/phone/shared_line_groups/{sharedLineGroupId}/call_handling/settings/{hourType}
PATCH /v2/accounts/{accountId}/phone/shared_line_groups/{sharedLineGroupId}/call_handling/settings/{hourType}
DELETE /v2/phone/shared_line_groups/{sharedLineGroupId}/settings/{settingType}
DELETE /v2/accounts/{accountId}/phone/shared_line_groups/{sharedLineGroupId}/settings/{settingType}
POST /v2/phone/shared_line_groups/{sharedLineGroupId}/settings/{settingType}
POST /v2/accounts/{accountId}/phone/shared_line_groups/{sharedLineGroupId}/settings/{settingType}
New Users APIs:
DELETE /v2/phone/users/{userId}/call_forward_settings/{hourType}
DELETE /v2/accounts/{accountId}/phone/users/{userId}/call_forward_settings/{hourType}
POST /v2/phone/users/{userId}/profile_settings/{settingType}
POST /v2/accounts/{accountId}/phone/users/{userId}/profile_settings/{settingType}
DELETE /v2/phone/users/{userId}/profile_settings/{settingType}
DELETE /v2/accounts/{accountId}/phone/users/{userId}/profile_settings/{settingType}
PATCH /v2/phone/users/{userId}/call_handling/settings/{hourType}
PATCH /v2/accounts/{accountId}/phone/users/{userId}/call_handling/settings/{hourType}
POST /v2/phone/users/{userId}/call_forward_settings/{hourType}
POST /v2/accounts/{accountId}/phone/users/{userId}/call_forward_settings/{hourType}
GET /v2/phone/users/{userId}/call_handling/settings
GET /v2/accounts/{accountId}/phone/users/{userId}/call_handling/settings
New Recordings APIs:
GET /v2/phone/call_element/{callElementId}/recording
GET /v2/accounts/{accountId}/phone/call_element/{callElementId}/recording
New Auto Receptionists APIs:
GET /v2/phone/auto_receptionists/{autoReceptionistId}/settings
GET /v2/accounts/{accountId}/phone/auto_receptionists/{autoReceptionistId}/settings
PATCH /v2/phone/auto_receptionists/{autoReceptionistId}/call_handling/settings/{hourType}
PATCH /v2/accounts/{accountId}/phone/auto_receptionists/{autoReceptionistId}/call_handling/settings/{hourType}
POST /v2/phone/auto_receptionists/{autoReceptionistId}/settings/{settingType}
POST /v2/accounts/{accountId}/phone/auto_receptionists/{autoReceptionistId}/settings/{settingType}
DELETE /v2/phone/auto_receptionists/{autoReceptionistId}/settings/{settingType}
DELETE /v2/accounts/{accountId}/phone/auto_receptionists/{autoReceptionistId}/settings/{settingType}
PATCH /v2/phone/auto_receptionists/{autoReceptionistId}/settings/{settingType}
PATCH /v2/accounts/{accountId}/phone/auto_receptionists/{autoReceptionistId}/settings/{settingType}
GET /v2/phone/auto_receptionists/{autoReceptionistId}/call_handling/settings
GET /v2/accounts/{accountId}/phone/auto_receptionists/{autoReceptionistId}/call_handling/settings
Enhancements
New business_hours_settings, break_hours, holiday_hours response fields in the following Users APIs:
GET /v2/phone/users/{userId}/settings
GET /v2/accounts/{accountId}/phone/users/{userId}/settings
New direction, call_ids, charge_id, start_time, caller_billing_number_type, call_id, callee_billing_number_type, answer_time response fields in the following Reports APIs:
GET /v2/accounts/{accountId}/phone/reports/call_charges
GET /v2/phone/reports/call_charges
New monitored_privileges, allow_monitored_peer_monitoring request fields in the following Monitoring Groups APIs:
PATCH /v2/phone/monitoring_groups/{monitoringGroupId}
PATCH /v2/accounts/{accountId}/phone/monitoring_groups/{monitoringGroupId}
POST /v2/phone/monitoring_groups
POST /v2/accounts/{accountId}/phone/monitoring_groups
New holiday_hours, break_hours, business_hours_settings request fields in the following Users APIs:
PATCH /v2/phone/users/{userId}/settings
PATCH /v2/accounts/{accountId}/phone/users/{userId}/settings
New break_hour_id request field in the following Common Areas APIs:
DELETE /v2/accounts/{accountId}/phone/common_areas/{commonAreaId}/settings/{settingType}
DELETE /v2/phone/common_areas/{commonAreaId}/settings/{settingType}
New network_switches request field in the following Emergency Service Locations APIs:
POST /v2/phone/locations
POST /v2/accounts/{accountId}/phone/locations
Deprecated
GET /v2/accounts/{accountId}/phone/users/{userId}/call_logs/{id}/voice_mail
GET /v2/phone/users/{userId}/call_logs/{id}/voice_mail
GET /v2/phone/call_logs/{id}/recordings
GET /v2/accounts/{accountId}/phone/call_logs/{id}/recordings
POST /v2/phone/extension/{extensionId}/call_handling/settings/{settingType}
POST /v2/accounts/{accountId}/phone/extension/{extensionId}/call_handling/settings/{settingType}
GET /v2/accounts/{accountId}/phone/extension/{extensionId}/call_handling/settings
GET /v2/phone/extension/{extensionId}/call_handling/settings
DELETE /v2/phone/extension/{extensionId}/call_handling/settings/{settingType}
DELETE /v2/accounts/{accountId}/phone/extension/{extensionId}/call_handling/settings/{settingType}
PATCH /v2/phone/extension/{extensionId}/call_handling/settings/{settingType}
PATCH /v2/accounts/{accountId}/phone/extension/{extensionId}/call_handling/settings/{settingType}